[Unit]
Description=gocryptfs Mount Unit
# Requires=local-fs.target
# After=local-fs.target

[Service]
Type=forking
ExecStart={{ gocryptfs_bin_dir }}/gocryptfs -acl -allow_other -extpass="/home/{{ gocryptfs_user }}/.local/bin/gocryptfs-extpass.sh" "{{ gocryptfs_encrypted_dir }}" "{{ gocryptfs_decrypted_dir }}"
ExecStartPost=rm -f "{{ gocryptfs_temporary_password_file }}"
# Restart=always
# RestartSec=5

[Install]
# https://superuser.com/questions/1025091/start-a-systemd-user-service-at-boot
# WantedBy=multi-user.target
WantedBy=default.target
